{% extends 'dashboard/dashboard_content.html' %}

{% block title %}
    CO Weightage
{% endblock %}

{% block rightPane %}
    <div class="x_panel">
        <div class="x_title">
            <h2>
                <i class="fa fa-user"></i>
                Set CO Weightage
            </h2>
            <div class="clearfix"></div>
        </div>
        <div class="x_content">

            <div class="row">
                <ul class="nav nav-tabs bar_tabs">
                    {% for course in courseList %}
                        {% if forloop.counter == 1 %}
                            <li {% if staffCoursePk == course.staff_course_instance.pk %}class="active" {% else %}
                                class="" {% endif %}>
                                <a aria-expanded="true"
                                   id={{ course.staff_course_instance.pk }}
                                           data-toggle="tab" name="courseTab"
                                   onmouseover="$(this).css('cursor', 'pointer')">
                                    {{ course.display_text }}

                                </a>
                            </li>
                        {% else %}
                            <li {% if staffCoursePk == course.staff_course_instance.pk %}class="active" {% else %}
                                class="" {% endif %}>
                                <a aria-expanded="false"
                                   id={{ course.staff_course_instance.pk }}
                                           data-toggle="tab" name="courseTab"
                                   onmouseover="$(this).css('cursor', 'pointer')">
                                    {{ course.display_text }}
                                </a>
                            </li>
                        {% endif %}
                    {% endfor %}
                </ul>
            </div>

            <form method="POST">{% csrf_token %}
                <div class="form-group">
                    <div class="col-md-4 col-sm-4 col-xs-12">
                        <input type="hidden" id="hiddenStaffCoursePk" value="{{ staffCoursePk }}"
                               hidden>
                        <select class="form-control" name="unitTestSelection" id="unitTestSelection"
                                required>
                            <option value="" disabled selected>Choose Unit Test</option>
                            {% if unitTestNumber == 1 %}
                                <option value="1" selected>UNIT TEST I</option>
                            {% else %}
                                <option value="1">UNIT TEST I</option>
                            {% endif %}
                            {% if unitTestNumber == 2 %}
                                <option value="2" selected>UNIT TEST II</option>
                            {% else %}
                                <option value="2">UNIT TEST II</option>
                            {% endif %}
                            {% if unitTestNumber == 3 %}
                                <option value="3" selected>UNIT TEST III</option>
                            {% else %}
                                <option value="3">UNIT TEST III</option>
                            {% endif %}
                        </select>
                    </div>
                </div>
            </form>

            <br>
            <br>
            {% if noPattern %}
                <div class="alert alert-warning" role="alert" align="center">
                    <div><h4>You have to set question pattern in order to set CO Weightage</h4></div>
                </div>
            {% elif unitTestNumber != -1 %}
                <div class="alert alert-success" role="alert" align="center">
                    <div><h4>{{ staffCourseInstance.course }}</h4></div>
                    <div><h3> Set Weightage for <strong>UT{{ unitTestNumber }}</strong></h3></div>
                </div>
                <br>
                <div class="row">
                    <form method="POST" class="form-horizontal">
                        {% csrf_token %}
                        <input type="hidden" name="totalCo" value="{{ totalCo }}">
                        <input type="hidden" name="hiddenUnitTestNumberOnWeightage" value="{{ unitTestNumber }}">
                        <input type="hidden" name="hiddenStaffCoursePkOnWeightage" value="{{ staffCoursePk }}">
                        <div class="col-md-8 col-md-offset-2">
                            <table class="table table-hover">
                                <thead>
                                <tr>
                                    <th>CO Mapped</th>
                                    <th>Weightage (in %)</th>
                                </tr>
                                </thead>
                                <tbody>
                                {% for co in coNumbers %}
                                    <tr>
                                        <td>CO {{ co.coMapped }}</td>
                                        <td>
                                            <input type="hidden" name="co-{{ forloop.counter }}"
                                                   value="{{ co.coMapped }}">
                                            <input class="form-control" placeholder="Weightage (Max 100)" type="number"
                                                   name="weightage-{{ forloop.counter }}" value="{{ co.weightage }}" min="1" max="100"
                                                   required>
                                        </td>
                                    </tr>
                                {% endfor %}
                                </tbody>
                            </table>
                        </div>
                        <div class="col-sm-2 col-sm-offset-5">
                            <button name="update" type="submit" class="save btn btn-lg btn-success"
                                    value="Update">Update
                            </button>
                        </div>
                    </form>
                    <br><br><br><br><br>
                </div>
            {% endif %}
        </div>
        <br>
        <br>
        <br>
        <br>
    </div>

    <form id="dummyForm" method="POST">
        {% csrf_token %}
    </form>

    <form id="dummyForm2" method="POST">
        {% csrf_token %}
    </form>

    <script type="text/javascript">

        function getCookie(name) {
            var cookieValue = null;
            if (document.cookie && document.cookie != '') {
                var cookies = document.cookie.split(';');
                for (var i = 0; i < cookies.length; i++) {
                    var cookie = jQuery.trim(cookies[i]);
                    // Does this cookie string begin with the name we want?
                    if (cookie.substring(0, name.length + 1) == (name + '=')) {
                        cookieValue = decodeURIComponent(cookie.substring(name.length + 1));
                        break;
                    }
                }
            }
            return cookieValue;
        }

        $('document').ready(function () {
            $('[name="courseTab"]').click(function () {

                var $hiddenInput = $('<input/>', {
                    type: 'hidden',
                    value: getCookie('csrftoken'),
                    name: 'csrfmiddlewaretoken'
                });
                $hiddenInput.appendTo('#dummyForm');

                var $hiddenInput = $('<input/>', {type: 'hidden', value: this.id, name: 'staffCoursePk'});
                $hiddenInput.appendTo('#dummyForm');

                $('#dummyForm').submit();

            });
        });

    </script>

    <script type="text/javascript">

        $(document).on("change", '#unitTestSelection', function (e) {
            var unitTestNumber = $('#unitTestSelection').val();
            var staffCoursePk = $('#hiddenStaffCoursePk').val();

            var $hiddenInput = $('<input/>', {
                type: 'hidden',
                value: getCookie('csrftoken'),
                name: 'csrfmiddlewaretoken'
            });
            $hiddenInput.appendTo('#dummyForm2');

            var $hiddenInput = $('<input/>', {type: 'hidden', value: staffCoursePk, name: 'hiddenStaffCoursePk'});
            $hiddenInput.appendTo('#dummyForm2');

            var $hiddenInput = $('<input/>', {type: 'hidden', value: unitTestNumber, name: 'selectedUnitTestNumber'});
            $hiddenInput.appendTo('#dummyForm2');

            $('#dummyForm2').submit();

        });

    </script>
{% endblock %}